> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/partner-applications/list-partner-applications.md).

# List partner applications

List partner applications and filter them.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api"]}],"components":{"securitySchemes":{},"schemas":{"PartnerApplicationStatus":{"enum":["Unknown","Pending","Accepted","Rejected"],"type":"string"},"PartnerApplicationListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PartnerApplicationDto"},"nullable":true}},"additionalProperties":false},"PartnerApplicationDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"partnerId":{"type":"integer","format":"int32"},"partnerProgramId":{"type":"integer","format":"int32"},"partnerProgramLevelId":{"type":"integer","format":"int32"},"status":{"$ref":"#/components/schemas/PartnerApplicationStatus"},"applicationDate":{"type":"string","format":"date-time"},"acceptedDate":{"type":"string","format":"date-time","nullable":true},"rejectedDate":{"type":"string","format":"date-time","nullable":true},"partnerName":{"type":"string","nullable":true},"teamMemberEmail":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/partner-applications":{"get":{"tags":["PartnerApplications"],"summary":"List partner applications","description":"List partner applications and filter them.","parameters":[{"name":"status","in":"query","description":"The list of status to filter partner applications.","schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerApplicationStatus"}}},{"name":"partner_name","in":"query","description":"Filter by partner name","schema":{"type":"string"}},{"name":"partner_id","in":"query","description":"Filter by partner id","schema":{"type":"integer","format":"int32"}},{"name":"partner_email","in":"query","description":"Filter by partner email","schema":{"type":"string"}},{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first transaction to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of transactions to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort partner applications by. The default is ApplicationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned partner applications. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}}],"responses":{"200":{"description":"Partner Applications returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerApplicationListResponseDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/partner-applications/list-partner-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
